%define incdir %{_prefix}/include
%define sbindir /sbin

Name: iptables
Summary: Tools for managing Linux kernel packet filtering / mangling / NAT
Version: 1.2.1a
Release: 1
Group: System Environment/Base
Vendor: Netfilter Core Team
Copyright: GPL
Packager: Harald Welte <laforge@gnumonks.org>
URL: http://netfilter.kernelnotes.org/
Source: http://netfilter.kernelnotes.org/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%ifarch ppc powerpc
%define ppc_extra DO_IPV6=1
%else
%define ppc_extra #
%endif

%description
iptables controls the Linux kernel network packet filtering code.
It allows you to set up firewalls and IP masquerading, etc.

Install iptables if you need to set up firewalling for your
network.

%package devel
Summary:        libraries and headers for iptables development
Group:          Development/Libraries
Requires:       %{name} = %{version}

%description devel
Libraries and header files for libiptc, libipq and libipulog development

%prep
rm -rf %{buildroot}

%setup -q

%build
make LIBDIR=%{_libdir} BINDIR=%{sbindir} MANDIR=%{_mandir} COPT_FLAGS="$RPM_OPT_FLAGS" %{ppc_extra}
make experimental LIBDIR=%{_libdir} BINDIR=%{sbindir} MANDIR=%{_mandir} COPT_FLAGS="$RPM_OPT_FLAGS" %{ppc_extra}

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{sbindir} MANDIR=%{_mandir} %{ppc_extra}
make install-experimental DESTDIR=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{sbindir} MANDIR=%{_mandir} %{ppc_extra}
make install-devel DESTDIR=%{buildroot} MANDIR=%{_mandir} LIBDIR=%{_libdir} INCDIR=%{incdir} %{ppc_extra}
%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files
%defattr(-,root,root,0755)
%doc COPYING INSTALL KNOWN_BUGS
%{sbindir}/iptables
%{sbindir}/iptables-save
%{sbindir}/iptables-restore
%{sbindir}/ip6tables
%{_mandir}/man8/*
%dir %{_libdir}/iptables
%{_libdir}/iptables/*

%files devel
%defattr(-,root,root,0644)
%{_mandir}/man3/*
%{incdir}/*
%{_libdir}/*

%changelog
* Fri Mar 16 2001 Harald Welte <laforge@gnumonks.org>
- updated to 1.2.1 

* Mon Jan 08 2001 Harald Welte <laforge@gnumonks.org>
- updated to 1.2 / 2.4.0-final
